Method: spaces.threads.patch

Updates a thread in a 1:1 App DM space.

Supports the following types of authentication:

  • App authentication with the authorization scope:
    • https://www.googleapis.com/auth/chat.bot

Only supported in 1:1 App DM spaces. Calls in other space types or using user authentication will return an error.

HTTP request

PATCH https://chat.googleapis.com/v1/{thread.name=spaces/*/threads/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
thread.name

string

Identifier. Resource name of the thread.

Example: spaces/{space}/threads/{thread}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

Currently supported field paths: - threadMetadata - threadMetadata.title - threadMetadata.icon

Request body

The request body contains an instance of Thread.

Response body

If successful, the response body contains an instance of Thread.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/chat.bot

For more information, see the Authorization guide.